local assets=
{
	Asset("ANIM", "anim/pencil.zip"),
	Asset("ATLAS", "images/inventoryimages/pencil.xml")
}

local prefabs = {
}

local function onfinished(inst)
    inst:Remove()
end


local function fn()
	local inst = CreateEntity()
	local trans = inst.entity:AddTransform()
	local anim = inst.entity:AddAnimState()
    MakeInventoryPhysics(inst)
	
	-- Check if Shipwrecked is enabled
	if IsDLCEnabled(CAPY_DLC) then
		-- Make my pencil floatable
		MakeInventoryFloatable(inst, "idle_water", "idle")
	end
	
    inst.AnimState:SetBank("pencil")
    inst.AnimState:SetBuild("pencil")	
    inst.AnimState:PlayAnimation("idle")
    inst:AddTag("replaceable")
    
    -------
 
        -- Making it so that the item is specifically for G
   	inst:AddComponent("characterspecific")
	inst.components.characterspecific:SetOwner("g")	
		
    inst:AddComponent("inspectable")
    
    inst:AddComponent("inventoryitem")  
	inst.components.inventoryitem.atlasname = "images/inventoryimages/pencil.xml"

	MakeSmallBurnable(inst, TUNING.SMALL_BURNTIME)
    
    inst:AddComponent("finiteuses")
    inst.components.finiteuses:SetMaxUses(10)
    inst.components.finiteuses:SetUses(10)
    inst.components.finiteuses:SetOnFinished(onfinished)
	
	inst:AddComponent("pencilmod_writer")
    
    return inst
end

return Prefab( "common/inventory/pencil", fn, assets) 
